//---------------------------------------------------------------------
// Copyright 2001, Avocent Corporation
//---------------------------------------------------------------------
// FILE         : eid_util.h
//
// DESCRIPTION  : Functions for manipulating EIDs
//
//---------------------------------------------------------------------
// AUTHOR       : David Stafford
// DATE         : Feb 28-2002
//
//---------------------------------------------------------------------

#ifndef __EID_UTIL_H
#define __EID_UTIL_H

#include "types.h"

char * eid2Str( char * buffer, byte eid[ 6 ] );
byte * str2Eid( byte eid[ 6 ], char * str );

#endif  /* __EID_UTIL_H */

/* end */

