
#define NUM_ENTERPRISE_TRAPS	35
#define MAX_TRAP_DESTINATIONS	5

#define EVENT_CONF_FILE		"/etc/event_notif.conf"

// FIFO devices
#define SNMP_PIPE  "/var/run/snmp_pipe"
#define EVT_PIPE   "/var/run/evt_pipe"

#define GENERATE_SYSLOG_MESSAGE 2
#define GENERATE_SNMPTRAP	1

#ifdef EVENT_NOTIF_C
// read from /etc/event_notif.conf

int    syslog_msg_enabled = 1; // generate syslog messages with whole text

// generate status : 0 - disable / 1 - snmptrap 
//                   2 - syslog / 3 - snmmptrap and syslog
char generate_status[NUM_ENTERPRISE_TRAPS + 1];

// community name 
char *community;

// destination of traps
unsigned char *dest_traps[MAX_TRAP_DESTINATIONS];
#endif
