#ifndef _CYCONST_H_
#define _CYCONST_H_

#include "cyclades.h"

#ifndef MAP_FAILED
#define MAP_FAILED ((void*) -1)
#endif

#define NO_ESCAPE	0
#define ALLOW_ESCAPE	1

/*
 * Menu definitions 
 */
#define	MAINMENU_OPTIONS	MENU_QUIT
#define FUNCMENU_OPTIONS	MENU_SIGNALS

enum cylinux_mainmenu_options {
    MENU_SELECT_BOARD = 1,
    MENU_ASYNC_PORT_TEST,
#ifdef CONFIG_SM100
	MENU_ATX_PORT_TEST,
	MENU_IPMI_PORT_TEST,
	MENU_ALL_PORT_TEST,
#endif
#ifdef CONFIG_TS1H
	MENU_ANALOG_PORT_TEST,
	MENU_DIG_PORT_TEST,
	MENU_ALL_PORT_TEST,
#endif
    MENU_QUIT
};

enum cylinux_funcmenu_options {
    MENU_CONVERSATION = 1,
    MENU_SIGNALS
};

#define	ENTER_CHAR	'\r'
#define	ESC_CHAR	0x1b
#define BS_CHAR		0x08

#define CTRLD_CHAR      0x4
#define CTRLE_CHAR      0x5
#define CTRLQ_CHAR      0x11
#define CTRLR_CHAR      0x12

#define SCREEN_HEIGHT   25

#define MAXCHANNELS	64

/*
 * Data for testing 
 */
//#define DATA "My mystress' eyes are nothing like the sun"
#define DATA "The quick brown fox jumps over the lazy dog!"

#endif
