
#ifndef _MACRO_H_
#define _MACRO_H_

#define DEBUGING 0
#define SPECIAL_DEBUG 0

#define MIN(x,y) ((x) > (y) ? (y) : (x))
#define MAX(x,y) ((x) < (y) ? (y) : (x))

#define BYTEAT(x)  (*((volatile unsigned char*)(x)))
#define SHORTAT(x) (*((volatile unsigned short*)(x)))
#define LONGAT(x)  (*((volatile unsigned long*)(x)))

#define DEBUG(x) if (DEBUGING) {printf (x); fflush (NULL);}
#define DEBUG2(x,y) if (DEBUGING) {printf (x,y); fflush (NULL);}
#define SDEBUG2(x,y) if (SPECIAL_DEBUG) {printf (x,y); fflush (NULL);}

/*
 * Terminal Definitions 
 */
#define	CLS()			write(0, "\x1b[2J\x1b[1;1H", 10)
#define	SET_STD_MODE_INPUT()	tcsetattr(0, TCSADRAIN, &std_term)
#define	SET_RAW_MODE_INPUT()	tcsetattr(0, TCSADRAIN, &raw_term)

#define IN_RANGE(x,min,max)     (! ( ( (x) < (min)) || ( (x) > (max))))


#endif
