/*
 * ====================================================================
 * Function to work with port data stucture
 * ====================================================================
 */

#include <stdio.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/time.h>
#include <unistd.h>
#include <sys/mman.h>
#include <termios.h>
#include <stdlib.h>
#include <string.h>
#include "cyconst.h"
#include "cystruct.h"
#include "cyfunc.h"
#include "macro.h"

int 
ResetPort (asyncboard_t * board, int n)
{
    /*
     * we need this to free inbuf and outbuf in case the port was not closed 
     */
    port_t *port;
    port = &(board->ports[n]);
    close (port->cyctfd);
    memset (port, 0, sizeof (port_t));
    port->cyctfd = -1;
    return 1;
}

