//------------------------------------------------------------------------
// Copyright 2000, Cybex Computer Products Corporation
//------------------------------------------------------------------------
// FILE        :  threadwrap.h
// DESCRIPTION :  This file contains wrapper functions for pthread
//                programming calls
//
//------------------------------------------------------------------------
// AUTHOR      :  J. Collins
// DATE        :  January 2002
//
//------------------------------------------------------------------------
#ifndef __THREADWRAP_H
#define __THREADWRAP_H

#include <pthread.h>

int pthreadCreate(pthread_t *tid, const pthread_attr_t *attr,
			   void * (*func)(void *), void *arg );

void pthreadDetach( pthread_t tid );

#endif //__THREADWRAP_H

