#include	"appl.h"

#define		MAIN_PAGE	"/goform/MainPageTable"

extern void writeevt(int, char*, ...); //[RK]Jun/12/06 - event notification

extern char_t *SetCookieFromUserPass(char_t *, char_t *);

static void WriteSimplePageStart(webs_t wp, unsigned char *title, unsigned char *form)
{
#ifdef OEM1
	websWrite(wp, T("<html><head><title>Digi PortServer CM %d"), numsports);
#else
    websWrite(wp, T("<html><head><title>%s-%s"),mt.vendor_name, mt.board_name);
#endif
    if (title && *title) websWrite(wp, T(" %s"), title);
    websWrite(wp, T("</title></head><link rel=\"stylesheet\" href=\"/normal_ws.css\" type=\"text/css\">"
    	"<body leftmargin=\"0\" topmargin=\"0\" marginwidth=\"0\" marginheight=\"0\">"));
#if defined(OEM2)
	websWrite(wp, "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">"
				  "<tr>"
					"<td class=\"mn1\" width=\"770\"><div align=\"center\"><img src=\"/banner.jpg\" width=\"300\" height=\"57\"></td>"
				  "</tr><tr>"
					"<td class=\"bd\" height=\"400\">");
#elif defined(OEM1)
	websWrite(wp, "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">"
				  "<tr>"
					"<td class=\"mn\" width=\"770\"><img src=\"/banner.jpg\" width=\"762\" height=\"80\"></td>"
				  "</tr><tr>"
					"<td class=\"bd\" height=\"400\">");
#else
	websWrite(wp, "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">"
				  "<tr>"
					"<td class=\"mn\">"
					"<a href=\"/home.asp\"><img src=\"/banner.jpg\" border=\"0\" width=\"800\" height=\"57\"></a></td>"
				  "</tr><tr>"
					"<td class=\"bd\" height=\"400\">");
#endif
    if (form && *form) websWrite(wp, T("<form method=POST action=/goform/%s>"), form);
    /* Header */
    websWrite(wp, "<br>");
//    if (title && *title) {
//	    websWrite(wp, T("<center><h1>%s</h1></center>"), title);
//    }
}

void websLoginPage (webs_t wp, char_t *url, char_t *path, char_t *message, unsigned char flag)
{
	char_t *cookie = (flag) ? "sessionId=deleted; path=/; expires=Wed, 15-Aug-2001 12:00:00 GMT" : NULL;
	if (!url) url = MAIN_PAGE;
	if (!path) path = MAIN_PAGE;
	websHeader(wp, cookie);
	WriteSimplePageStart(wp, "Login", "CheckLogin");
	if (message) {
		websWrite(wp, "<center><b class=\"err\">%s</b></center><br>", message);
	}
	websWrite(wp, "<input type=\"hidden\" name=\"url\" value=\"%s\">"
		"<input type=\"hidden\" name=\"path\" value=\"%s\">"
		"<center><table align=\"center\" border><tr><th class=\"tt\" colspan=\"2\">Login</th></tr>"
		"<tr><td><b>Login:</b></td><td><input class=\"tx\" type=\"text\" name=\"login\"></td></tr>"
		"<tr><td><b>Password:</b></td><td><input class=\"tx\" type=\"password\" name=\"password\"></td></tr>"
		"</table></center><br><center><input type=\"submit\" value=\"Submit\"></center>", url, path);
	
        websWrite (wp, "</td></tr></table></form></body>");
        websFooter(wp);
	websDone(wp, 200);
}

static void websLoginOKPage (webs_t wp, char_t *url, char_t *login, char_t *password)
{
	char_t *cookie = SetCookieFromUserPass(login, password);
	websRedirect(wp, url, cookie);

//	{
//		struct cyc_webs_header hdr;
//		websCycHdrInit(&hdr);
//		hdr.need_header = 1;
//		hdr.title = "Login";
//		websPageStart(wp, &hdr);
//		websWrite(wp, "<center><b>The Login was successful.<br>"
//			"Click the link below to proceed.</b>"
//			"<br><br><a href=\"%s\">Go to the next page</a>"
//			"</center>", url);
//		websPageEnd(wp, &hdr);
//	}
}

static void websLogin (webs_t wp, char_t *path, char_t *query)
{
	char_t *accessLimit = umGetAccessLimit(MAIN_PAGE);
	accessMeth_t am;
	if (accessLimit != NULL) {
		am = umGetAccessMethodForURL(accessLimit);
		if (am != AM_COOKIE) {
			websRedirect(wp, MAIN_PAGE, NULL);
			return;
		}
	}
	websLoginPage (wp, MAIN_PAGE, MAIN_PAGE, NULL, 0);
}

static void websLogout (webs_t wp, char_t *path, char_t *query)
{	
	char * login;
	login = websGetRequestUserName(wp);

	if (login && *login)
		writeevt(3,"si",login,3); //[RK]Jun/12/06 - event notification

	if (wp->flags & WEBS_COOKIE) {
		websHeader(wp, "sessionId=deleted; path=/; expires=Wed, 15-Aug-2001 12:00:00 GMT");
		WriteSimplePageStart(wp, "Logout", NULL);
	    websWrite(wp, T("<center><h1>%s</h1></center>"), "Logout");
		websWrite(wp, "<center><b>Thank you for using the Web "
			"Management Interface<br>"
#ifdef OEM1
			"for the Digi PortServer CM.</b>"
#else
			"for the %s Linux Terminal Server.</b>"
#endif
			"<br><br><a href=\"%s\">Go to the home page</a></center>",
#ifndef OEM1
			mt.vendor_name,
#endif
			"/home.asp");
        	websWrite (wp, "</td></tr></table></body>");
	        websFooter(wp);
		websDone(wp, 200);
	} else {
		websRedirect(wp, "/home.asp", NULL);
	}
}

static void websCheckLogin(webs_t wp, char_t *path, char_t *query)
{
	char_t *message = NULL;
	char_t *url = websGetVar(wp, "url", MAIN_PAGE);
	char_t *path1 = websGetVar(wp, "path", MAIN_PAGE);
	char_t *login = websGetVar(wp, "login", "");
	char_t *password = websGetVar(wp, "password", "");
	char_t *accessLimit, *group;
	accessMeth_t am;
	accessLimit = umGetAccessLimit(path1);
	if (accessLimit != NULL) {
		am = umGetAccessMethodForURL(accessLimit);
		if (am == AM_NONE) {
			message = "Page Not Found";
		} else if (am == AM_FULL) {
		} else if (!login || !(*login)) {
			message = "Access to this document requires a User ID";
		} else if (!umUserExists(login)) {
			message = "Access Denied: Unknown User";
		} else if (!umUserCanAccessURL(login, accessLimit)) {
			message = "Access Denied: Prohibited User";
		} else if (!password || !(* password)) {
			message = "Access to this document requires a password";
		} else {
			char_t * userpass = umGetUserPassword(login);
			if (userpass) {
				if (gstrcmp(password, userpass) != 0) {
					message = "Access Denied: Wrong Password";
				}
				bfree (B_L, userpass);
			}
		}
		bfree(B_L, accessLimit);
	}
	if (message) {
		writeevt(4,"s",login); //[RK]Jun/12/06 - event notification
		websLoginPage(wp, url, path1, message, 0);
	} else {
		writeevt(2,"si",login,3); //[RK]Jun/12/06 - event notification
		websLoginOKPage(wp, url, login, password);
	}
}

static int PrintLoginTable(int eid, webs_t wp, int argc, char_t **argv)
{
	char_t *accessLimit = umGetAccessLimit(MAIN_PAGE);
	accessMeth_t am;
	if (accessLimit != NULL) {
		am = umGetAccessMethodForURL(accessLimit);
		if (am != AM_COOKIE) {
			websWrite(wp, "<form action=\"%s\" method=\"POST\"><center>"
			"<input class=\"sb\" type=\"submit\" value=\"Click here to Login\">"
			"</center></form>", MAIN_PAGE);
			return 0;
		}
	}
	
	websWrite(wp, "<form action=\"/goform/CheckLogin\" method=\"POST\" name=\"loginForm\">"
		"<input type=\"hidden\" name=\"url\" value=\"%s\">"
		"<input type=\"hidden\" name=\"path\" value=\"%s\">"
		"<center><table align=\"center\" border>"
		"<tr><th class=\"it\" colspan=\"2\">Login</th></tr>"
		"<tr><td class=\"it\"><b class=\"it\">Login:</b></td><td class=\"it\"><input class=\"tx\" type=\"text\" name=\"login\"></td></tr>"
		"<tr><td class=\"it\"><b class=\"it\">Password:</b></td><td class=\"it\"><input class=\"tx\" type=\"password\" name=\"password\"></td></tr>"
		"</table></center><br>"
		"<center><input class=\"sb\" type=\"submit\" value=\"Submit\"></center>"
		"</form>", MAIN_PAGE, MAIN_PAGE);
    return 0;
}

void DefineWebAspForm6(void)
{
	websFormDefine(T("Login"),           websLogin);
	websFormDefine(T("appl/Logout"),     websLogout);
	websFormDefine(T("CheckLogin"),      websCheckLogin);
	websAspDefine (T("PrintLoginTable"), PrintLoginTable);
}

